Bug 436086 - auctex install conflicts with texlive-texmf-latex
Summary: auctex install conflicts with texlive-texmf-latex
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive-texmf   
(Show other bugs)
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-05 11:06 UTC by George N. White III
Modified: 2013-07-02 23:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 08:02:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George N. White III 2008-03-05 11:06:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b4pre) Gecko/2008030304 Minefield/3.0b4pre

Description of problem:
auctex requires tetex-preview, which conflicts with files included with
texlive-texmf-latex


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. install texlive, texlive-latex
2. attempt to install auctex


Actual Results:
$ yum install emacs-auctex emacs-auctex-el
[..]
Resolving Dependencies
--> Running transaction check
---> Package emacs-auctex.noarch 0:11.85-1.fc8 set to be updated
--> Processing Dependency: tetex-preview = 11.85-1.fc8 for package: emacs-auctex
---> Package emacs-auctex-el.noarch 0:11.85-1.fc8 set to be updated
--> Running transaction check
---> Package tetex-preview.noarch 0:11.85-1.fc8 set to be updated
--> Finished Dependency Resolution

[..]
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/share/texmf/tex/latex/preview/prcounters.def from install of tetex-preview-11.85-1.fc8.noarch conflicts with file from package texlive-texmf-latex-2007-16.fc8.noarch
  file /usr/share/texmf/tex/latex/preview/preview.sty from install of tetex-preview-11.85-1.fc8.noarch conflicts with file from package texlive-texmf-latex-2007-16.fc8.noarch



Expected Results:
auctex is installed

Additional info:
Just another example of the complexity of packaging TeX.

Comment 1 Jindrich Novy 2008-03-05 12:36:02 UTC
Confirmed, I'll fix it in texlive-texmf-2007-16.1 release for the F8
exclusively. It will occur in the F8 repo this evening.


Note You need to log in before you can comment on or make changes to this bug.